import { ClientOptions } from '@elastic/elasticsearch';
import { ModuleMetadata, Type } from '@nestjs/common/interfaces';
export declare type ElasticsearchModuleOptions = ClientOptions;
export interface ElasticsearchOptionsFactory {
    createElasticsearchOptions(): Promise<ElasticsearchModuleOptions> | ElasticsearchModuleOptions;
}
export interface ElasticsearchModuleAsyncOptions extends Pick<ModuleMetadata, 'imports'> {
    useExisting?: Type<ElasticsearchOptionsFactory>;
    useClass?: Type<ElasticsearchOptionsFactory>;
    useFactory?: (...args: any[]) => Promise<ElasticsearchModuleOptions> | ElasticsearchModuleOptions;
    inject?: any[];
}
