"use strict";

/**
 * Check the source for any 'else' statements
 *
 * @param {ESLintContext} context
 * @returns {{ExpressionStatement: Function}}
 */
module.exports = function (context) {
    // valid alternate node types
    const validTypes = ["BlockStatement", "ExpressionStatement"];
    return {
        "IfStatement": function (node) {
            if (node.alternate && validTypes.indexOf(node.alternate.type) >= 0) {
                context.report(
                    node,
                    "No else statements are allowed"
                );
            }
        },
    };
};
