"use strict";
/// <reference types="jest" />
exports.__esModule = true;
exports.toBeCalculableMatcher = void 0;
var expect_more_1 = require("expect-more");
var jest_matcher_utils_1 = require("jest-matcher-utils");
var create_result_1 = require("./lib/create-result");
var toBeCalculableMatcher = function (value) {
    return (0, create_result_1.createResult)({
        message: function () {
            return "expected ".concat((0, jest_matcher_utils_1.printReceived)(value), " to be coercible for use in mathemetical operations");
        },
        notMessage: function () {
            return "expected ".concat((0, jest_matcher_utils_1.printReceived)(value), " not to be coercible for use in mathemetical operations");
        },
        pass: (0, expect_more_1.isCalculable)(value)
    });
};
exports.toBeCalculableMatcher = toBeCalculableMatcher;
expect.extend({ toBeCalculable: exports.toBeCalculableMatcher });
