"use strict";
/// <reference types="jest" />
exports.__esModule = true;
exports.toBeNonEmptyObjectMatcher = void 0;
var expect_more_1 = require("expect-more");
var jest_matcher_utils_1 = require("jest-matcher-utils");
var create_result_1 = require("./lib/create-result");
var toBeNonEmptyObjectMatcher = function (value) {
    return (0, create_result_1.createResult)({
        message: function () { return "expected ".concat((0, jest_matcher_utils_1.printReceived)(value), " to be an object with at least one own member"); },
        notMessage: function () {
            return "expected ".concat((0, jest_matcher_utils_1.printReceived)(value), " not to be an object with at least one own member");
        },
        pass: (0, expect_more_1.isNonEmptyObject)(value)
    });
};
exports.toBeNonEmptyObjectMatcher = toBeNonEmptyObjectMatcher;
expect.extend({ toBeNonEmptyObject: exports.toBeNonEmptyObjectMatcher });
